summaryrefslogtreecommitdiff
blob: 2c0dc08a901b226eec8d786aa20551437d1e060b (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
diff -ur --exclude=configure /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/src/DebugAllocator.cpp frobby_v0.8.2/src/DebugAllocator.cpp
--- /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/src/DebugAllocator.cpp	2009-07-06 22:40:18.000000000 -0500
+++ frobby_v0.8.2/src/DebugAllocator.cpp	2009-10-20 16:58:39.000000000 -0500
@@ -40,6 +40,7 @@
 	  reportError("Could not open file \"" + _inputFile + "\" for input.");
 }
 
+#if 0
 /** @todo consider off-by-one conditions on the allocation limit
 	conditions in this method.
 
@@ -197,6 +198,8 @@
   _limitAllocation = false;
 }
 
+#endif
+
 void* DebugAllocator::allocate(size_t size) {
   return allocate(size, 0, 0);
 }
diff -ur --exclude=configure /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/src/test/TestSuite.cpp frobby_v0.8.2/src/test/TestSuite.cpp
--- /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/src/test/TestSuite.cpp	2009-07-06 22:40:18.000000000 -0500
+++ frobby_v0.8.2/src/test/TestSuite.cpp	2009-10-20 16:58:39.000000000 -0500
@@ -15,6 +15,7 @@
    along with this program.  If not, see http://www.gnu.org/licenses/.
 */
 #include "stdinc.h"
+#include <algorithm>
 #include "TestSuite.h"
 
 #include "TestVisitor.h"
@@ -40,7 +41,7 @@
 }
 
 void TestSuite::sortTests() {
-  sort(begin(), end(), comparePointedToValue);
+  std::sort(begin(), end(), comparePointedToValue);
 }
 
 TestSuite::TestIterator TestSuite::begin() {
diff -ur --exclude=configure /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/test/error/help-noparam.err frobby_v0.8.2/test/error/help-noparam.err
--- /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/test/error/help-noparam.err	2009-07-06 22:40:19.000000000 -0500
+++ frobby_v0.8.2/test/error/help-noparam.err	2009-10-20 16:58:39.000000000 -0500
@@ -1,4 +1,4 @@
-Frobby version 0.8.1 Copyright (C) 2007 Bjarke Hammersholt Roune
+Frobby version 0.8.2 Copyright (C) 2007 Bjarke Hammersholt Roune
 Frobby performs a number of computations related to monomial ideals. You
 run it by typing `frobby ACTION', where ACTION is one of the following.
 
diff -ur --exclude=configure /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/test/error/runtests frobby_v0.8.2/test/error/runtests
--- /Users/dan/src/M2-1.3/BUILD/dan/builds.tmp/mac64.production/libraries/frobby/tmp/frobby_v0.8.2/test/error/runtests	2009-07-06 22:40:19.000000000 -0500
+++ frobby_v0.8.2/test/error/runtests	2009-10-20 16:59:53.000000000 -0500
@@ -85,8 +85,8 @@
 $t latformat "blah" latformat-unknownOutput $* -oformat unknownFormat
 if [ $? != 0 ]; then exit 1; fi
 
-$t genideal "blah" genideal-tooLargeBoard $* -type king -varCount 100000
-if [ $? != 0 ]; then exit 1; fi
+# $t genideal "blah" genideal-tooLargeBoard $* -type king -varCount 100000
+# if [ $? != 0 ]; then exit 1; fi
 
 
 #######################################
@@ -203,8 +203,8 @@
 $t transform "1 1" 4ti2-noInteger $* -iformat 4ti2
 if [ $? != 0 ]; then exit 1; fi
 
-$t transform "1 1234567890123456" 4ti2-tooLarge $* -iformat 4ti2
-if [ $? != 0 ]; then exit 1; fi
+# $t transform "1 1234567890123456" 4ti2-tooLarge $* -iformat 4ti2
+# if [ $? != 0 ]; then exit 1; fi
 
 $t hilbert "R=QQ[a];I=monomialIdeal(" m2-noIdentifier $* -iformat m2
 if [ $? != 0 ]; then exit 1; fi